> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get product

> Fetches a product by its ID.



## OpenAPI

````yaml /openAPI/openapi-20240301.json get /products/{product_id}
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /products/{product_id}:
    get:
      tags:
        - Products
      summary: Get product
      description: Fetches a product by its ID.
      operationId: Get-product
      parameters:
        - name: product_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Product Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProductResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Product ID
        name:
          type: string
          title: Name
          description: Product name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Product Description
        tags:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Tags
          description: Product Tags
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
          description: Product SKU
        parent_link_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Link Id
          description: Parent Link ID
        tax_codes:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Tax Codes
          description: Product Tax Codes
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
          description: Is Active or not
        type:
          $ref: '#/components/schemas/ProductTypeV2'
          description: Product Type
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Updated At
        default_pricing_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Default Pricing Id
          description: Default Pricing ID
        custom_attributes:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Custom Attributes
          description: Custom Attributes
          default: {}
        product_category:
          anyOf:
            - $ref: '#/components/schemas/ProductCategory'
            - type: 'null'
          description: Product Category
        product_type:
          anyOf:
            - $ref: '#/components/schemas/ProductType'
            - type: 'null'
          description: Product Type
        product_sub_type:
          anyOf:
            - $ref: '#/components/schemas/ProductSubType'
            - type: 'null'
          description: Product Sub Type
        track_usage:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Track Usage
          description: Track Usage or not
        enum_values:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Enum Values
          description: Enum Values
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
          description: Unit
        entitlements:
          anyOf:
            - items:
                $ref: '#/components/schemas/EntitlementResponseSchema'
              type: array
            - type: 'null'
          title: Entitlements
          description: Entitlement
      type: object
      required:
        - id
        - name
        - type
      title: ProductResponseSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProductTypeV2:
      type: string
      enum:
        - product
        - group
      title: ProductTypeV2
    ProductCategory:
      type: string
      enum:
        - group
        - standalone
        - bundle
      title: ProductCategory
    ProductType:
      type: string
      enum:
        - time_dependent
        - time_independent
      title: ProductType
    ProductSubType:
      type: string
      enum:
        - quantity
        - boolean
        - credits
      title: ProductSubType
    EntitlementResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Entitlement Id
        name:
          type: string
          title: Name
          description: Entitlement name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Entitlement Description
        entitlement_type:
          anyOf:
            - $ref: '#/components/schemas/EntitlementType'
            - type: 'null'
          description: Entitlement Type
        units:
          anyOf:
            - type: string
            - type: 'null'
          title: Units
          description: Entitlement Units
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
          description: Entitlement is active
          default: true
        product_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Product Id
          description: Product ID
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: created time
      type: object
      required:
        - id
        - name
      title: EntitlementResponseSchema
      description: Create Entitlement Response Schema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EntitlementType:
      type: string
      enum:
        - Feature
        - Quantity
        - Credits
      title: EntitlementType
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````